load("@rules_cc//cc:defs.bzl", "cc_library")
load("//tools:copts.bzl", "COPTS")

cc_library(
    name = "archery_command_factory",
    srcs = ["ArcheryCommandFactory.cpp"],
    hdrs = ["ArcheryCommandFactory.hpp"],
    copts = COPTS,
    visibility = [
        "//src/main/cpp/net/eagle0/shardok/library/command_factories:__pkg__",
        "//src/test/cpp/net/eagle0/shardok/library/command_factories/archery_command_factory:__pkg__",
    ],
    deps = [
        "//src/main/cpp/net/eagle0/shardok/library:shardok_command",
        "//src/main/cpp/net/eagle0/shardok/library/command_factories:command_factory",
        "//src/main/cpp/net/eagle0/shardok/library/command_factories/ambush_odds",
        "//src/main/cpp/net/eagle0/shardok/library/commands:archery_command",
        "//src/main/cpp/net/eagle0/shardok/library/settings:game_settings",
        "//src/main/cpp/net/eagle0/shardok/library/util:combat_utils",
        "//src/main/cpp/net/eagle0/shardok/library/util:hex_map_utils",
    ],
)
